GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::Call Class Reference

`#include <call.h>`

## Public Member Functions
| Call (grpc_call *call, CallHook *call_hook_, CompletionQueue *cq)
| Call (grpc_call *call, CallHook *call_hook_, CompletionQueue *cq, int max_message_size)
void | PerformOps (CallOpSetInterface *ops)
grpc_call * | call ()
CompletionQueue * | cq ()
int | max_message_size ()

## Constructor & Destructor Documentation

grpc::Call::Call | ( | grpc_call * | call,
|  | CallHook * | call_hook_,
|  | CompletionQueue * | cq
| ) |  |

grpc::Call::Call | ( | grpc_call * | call,
|  | CallHook * | call_hook_,
|  | CompletionQueue * | cq,
|  | int | max_message_size
| ) |  |

## Member Function Documentation

grpc_call* grpc::Call::call | ( |  | ) |
| inline

CompletionQueue* grpc::Call::cq | ( |  | ) |
| inline

int grpc::Call::max_message_size | ( |  | ) |
| inline

void grpc::Call::PerformOps | ( | CallOpSetInterface * | ops | ) |

The documentation for this class was generated from the following files:

- include/grpc++/impl/call.h
- src/cpp/common/call.cc